import { createApp } from 'vue'
import ElementPlus from 'element-plus'
import router from './router'
import 'element-plus/dist/index.css'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'
import App from './App.vue'
import zhCn from 'element-plus/es/locale/lang/zh-cn';//引入中文
import '@/styles/index.scss'
// bpmn 相关依赖
import 'bpmn-js/dist/assets/diagram-js.css'
import 'bpmn-js/dist/assets/bpmn-font/css/bpmn.css'
import 'bpmn-js/dist/assets/bpmn-font/css/bpmn-codes.css'
import 'bpmn-js/dist/assets/bpmn-font/css/bpmn-embedded.css'
//logicflow相关配置
import LogicFlow from "@logicflow/core";
import { BpmnElement, Control, MiniMap,Menu,Snapshot } from '@logicflow/extension';
// 左边工具栏以及编辑节点的样式
// import 'bpmn-js-properties-panel/dist/assets/bpmn-js-properties-panel.css'
const app = createApp(App)
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
    app.component(key, component)
}
app.use(ElementPlus, { locale: zhCn });//使element全局变为中文
app.use(router)
LogicFlow.use(BpmnElement);
LogicFlow.use(Control);
LogicFlow.use(Menu);
LogicFlow.use(Snapshot);
// LogicFlow.use(MiniMap);
// 使用 app 实例来挂载应用
app.mount('#app')

